diff options
author | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 13:49:04 -0700 |
---|---|---|
committer | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 17:38:18 -0700 |
commit | 56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch) | |
tree | 3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-accessibility/espeakup | |
download | gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2 gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip |
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-accessibility/espeakup')
-rw-r--r-- | app-accessibility/espeakup/Manifest | 1 | ||||
-rw-r--r-- | app-accessibility/espeakup/espeakup-0.71.ebuild | 59 | ||||
-rw-r--r-- | app-accessibility/espeakup/espeakup-9999.ebuild | 65 | ||||
-rw-r--r-- | app-accessibility/espeakup/files/espeakup.confd | 9 | ||||
-rw-r--r-- | app-accessibility/espeakup/files/espeakup.rc | 28 | ||||
-rw-r--r-- | app-accessibility/espeakup/metadata.xml | 12 |
6 files changed, 174 insertions, 0 deletions
diff --git a/app-accessibility/espeakup/Manifest b/app-accessibility/espeakup/Manifest new file mode 100644 index 000000000000..d37f8fcc5be8 --- /dev/null +++ b/app-accessibility/espeakup/Manifest @@ -0,0 +1 @@ +DIST espeakup-0.71.tar.bz2 24663 SHA256 8307986998256db21e615c4edc1befedde28a6995971da258e9d513dd79bd3ab SHA512 01091560cd4843897fa6925a54b4c856fe57ed5728ddc0c091c93b1ae14eb2f4d07ab2247e40bd5a5968cc22ee3696abfe1b28f67b95aa7ab61e33667c51135d WHIRLPOOL 8cc6d335e40a560c14ed17fddc475473722606c7e98148f2f3aa786443b49bdee343cfa0c85e845ce79e8c0bdd330825232512e67869bf8aed6fac81d5e3f4b8 diff --git a/app-accessibility/espeakup/espeakup-0.71.ebuild b/app-accessibility/espeakup/espeakup-0.71.ebuild new file mode 100644 index 000000000000..cf5d4298e1a0 --- /dev/null +++ b/app-accessibility/espeakup/espeakup-0.71.ebuild @@ -0,0 +1,59 @@ +# Copyright 1999-2013 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI=5 + +inherit linux-info + +DESCRIPTION="espeakup is a small lightweight connector for espeak and speakup" +HOMEPAGE="http://www.linux-speakup.org" +SRC_URI="mirror://gentoo/${P}.tar.bz2" + +LICENSE="GPL-3" +SLOT="0" +KEYWORDS="amd64 x86" +IUSE="" + +COMMON_DEPEND="|| ( + app-accessibility/espeak[portaudio] + app-accessibility/espeak[pulseaudio] )" +DEPEND="${COMMON_DEPEND}" +RDEPEND="${COMMON_DEPEND}" + +CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT" +ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!" +ERROR_SPEAKUP_SYNTH_SOFT="CONFIG_SPEAKUP_SYNTH_SOFT is not enabled in this kernel!" + +pkg_setup() { + if kernel_is -ge 2 6 37; then + check_extra_config + elif ! has_version app-accessibility/speakup; then + ewarn "Cannot find speakup on your system." + ewarn "Please upgrade your kernel to 2.6.37 or later and enable the" + ewarn "CONFIG_SPEAKUP and CONFIG_SPEAKUP_SYNTH_SOFT options" + ewarn "or install app-accessibility/speakup." + fi +} + +src_compile() { + emake || die "Compile failed." +} + +src_install() { + emake DESTDIR="${D}" install || die "Install failed." + dodoc ChangeLog README ToDo + newconfd "${FILESDIR}"/espeakup.confd espeakup + newinitd "${FILESDIR}"/espeakup.rc espeakup +} + +pkg_postinst() { + elog "To get espeakup to start automatically, it is currently recommended" + elog "that you add it to the default run level, by giving the following" + elog "command as root." + elog + elog "rc-update add espeakup default" + elog + elog "You can also set a default voice now for espeakup." + elog "See /etc/conf.d/espeakup for how to do this." +} diff --git a/app-accessibility/espeakup/espeakup-9999.ebuild b/app-accessibility/espeakup/espeakup-9999.ebuild new file mode 100644 index 000000000000..7138fd635796 --- /dev/null +++ b/app-accessibility/espeakup/espeakup-9999.ebuild @@ -0,0 +1,65 @@ +# Copyright 1999-2013 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI=5 + +if [[ ${PV} == "9999" ]] ; then + EGIT_REPO_URI="git://github.com/williamh/espeakup.git" + vcs=git-2 +else + SRC_URI="" + KEYWORDS="~amd64 ~x86" +fi + +inherit $vcs linux-info + +DESCRIPTION="espeakup is a small lightweight connector for espeak and speakup" +HOMEPAGE="http://www.github.com/williamh/espeakup" + +LICENSE="GPL-3" +SLOT="0" +IUSE="" + +COMMON_DEPEND="|| ( + app-accessibility/espeak[portaudio] + app-accessibility/espeak[pulseaudio] )" +DEPEND="${COMMON_DEPEND}" +RDEPEND="${COMMON_DEPEND}" + +CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT" +ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!" +ERROR_SPEAKUP_SYNTH_SOFT="CONFIG_SPEAKUP_SYNTH_SOFT is not enabled in this kernel!" + +pkg_setup() { + if kernel_is -ge 2 6 37; then + check_extra_config + elif ! has_version app-accessibility/speakup; then + ewarn "Cannot find speakup on your system." + ewarn "Please upgrade your kernel to 2.6.37 or later and enable the" + ewarn "CONFIG_SPEAKUP and CONFIG_SPEAKUP_SYNTH_SOFT options" + ewarn "or install app-accessibility/speakup." + fi +} + +src_compile() { + emake || die "Compile failed." +} + +src_install() { + emake DESTDIR="${D}" PREFIX=/usr install || die "Install failed." + dodoc README ToDo + newconfd "${FILESDIR}"/espeakup.confd espeakup + newinitd "${FILESDIR}"/espeakup.rc espeakup +} + +pkg_postinst() { + elog "To get espeakup to start automatically, it is currently recommended" + elog "that you add it to the default run level, by giving the following" + elog "command as root." + elog + elog "rc-update add espeakup default" + elog + elog "You can also set a default voice now for espeakup." + elog "See /etc/conf.d/espeakup for how to do this." +} diff --git a/app-accessibility/espeakup/files/espeakup.confd b/app-accessibility/espeakup/files/espeakup.confd new file mode 100644 index 000000000000..035012cc08e5 --- /dev/null +++ b/app-accessibility/espeakup/files/espeakup.confd @@ -0,0 +1,9 @@ +# conf.d file for espeakup +# +# Please check man 8 espeakup for more information about the options +# espeakup accepts. +# +# Currently, the only meaningful option is: +# --default-voice=voicename -- set the espeak voice espeakup will use. +# +ESPEAKUP_OPTS="" diff --git a/app-accessibility/espeakup/files/espeakup.rc b/app-accessibility/espeakup/files/espeakup.rc new file mode 100644 index 000000000000..f0777e1c2f25 --- /dev/null +++ b/app-accessibility/espeakup/files/espeakup.rc @@ -0,0 +1,28 @@ +#!/sbin/runscript +# Copyright 1999-2009 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +depend() { + after modules + use alsasound pulseaudio +} + +start() { + ebegin "Starting espeakup" + start-stop-daemon --start --exec /usr/bin/espeakup \ + -- ${ESPEAKUP_OPTS} + eend $? +} + +stop() { + ebegin "Stopping espeakup" + start-stop-daemon --stop --pidfile /var/run/espeakup.pid + eend $? +} + +restart() { + svc_stop || exit 1 + sleep 2 + svc_start || exit 1 +} diff --git a/app-accessibility/espeakup/metadata.xml b/app-accessibility/espeakup/metadata.xml new file mode 100644 index 000000000000..484f3c3991ed --- /dev/null +++ b/app-accessibility/espeakup/metadata.xml @@ -0,0 +1,12 @@ +<?xml version="1.0" encoding="UTF-8"?> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd"> +<pkgmetadata> +<herd>accessibility</herd> +<maintainer> + <email>williamh@gentoo.org</email> +</maintainer> +<longdescription> +Espeakup is a small lightweight connector which makes it possible for +speakup to use espeak as its synthesizer. +</longdescription> +</pkgmetadata> |